summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2020-01-21 02:24:58 -0800
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2020-01-21 02:55:00 -0800
commitbdaf46243e15a41712c895dd215d98a275a5e72b (patch)
tree3555d893cfe36a653310ac071394c98de661621c
parentsys-apps/edid-decode: x86 stable wrt bug #705786 (diff)
downloadgentoo-bdaf46243e15a41712c895dd215d98a275a5e72b.tar.gz
gentoo-bdaf46243e15a41712c895dd215d98a275a5e72b.tar.bz2
gentoo-bdaf46243e15a41712c895dd215d98a275a5e72b.zip
dev-java/openjdk: bump to 8.242
Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
-rw-r--r--dev-java/openjdk/Manifest8
-rw-r--r--dev-java/openjdk/openjdk-8.242.ebuild218
2 files changed, 226 insertions, 0 deletions
diff --git a/dev-java/openjdk/Manifest b/dev-java/openjdk/Manifest
index 5bc8a676354..3d84f263ec2 100644
--- a/dev-java/openjdk/Manifest
+++ b/dev-java/openjdk/Manifest
@@ -3,17 +3,25 @@ DIST jdk-11.0.4+11.tar.bz2 90420043 BLAKE2B 28e7ea146a14ed4629a42c69721a9d53a1c7
DIST jdk-11.0.5+10.tar.bz2 90613232 BLAKE2B 0a3cba851ac967d84f97ae1e7972d3ab593dbc76fb20664c4e7950380ad91acee7e263a2989930b45346cd170da71c500db9d8a0a6ac88982d77607089b95513 SHA512 0d52c78e217b79756be0fc6b3f9204bae254ec7b9ae10b6c3114463a9c028143807f4422711f0c02b81a034ae6e88fa2efc6bed85022720807344230a8aa12a6
DIST openjdk-8.222_p10.tar.bz2 452194 BLAKE2B aa5a19245e9b5f79da217ef4e8ff87acaf6b4c7b930a6cd1c7a00d2c6d50bb3168c41da1b18e8beb072a84bca7f3956e939edd9f5fd88899d2cc3fe754ff19f8 SHA512 08f92327732fb54df847fe0b3e49460bcdd25fe2aef7bc9545d75ab6504ab92452f8f5daede6040d28fd9b8347f49d658dc7bf88abc90235d6cf4a72cb44fbba
DIST openjdk-8.232_p09.tar.bz2 453185 BLAKE2B 9f78dc3a482f42937c9f4ed30492cf8348c903c6a419a7f2644251f853f92e2e112f72c16848adcc7102f41e8f1249e35d7019bf0b5c5fd823e4f068650f36fd SHA512 31fbaf8334b3a40f491ae87aeec5698ebac334b8425147b8f8fa1a397e64f5bf7025d22dd5ecf7c7029c07ca40424f07ae139aa5d9737b20a6eeec2e9a1d835d
+DIST openjdk-8.242.tar.bz2 452896 BLAKE2B 73176533ad62942f9a9547378aa5547a5f064076d24be527d0fb8b13c30a48680957bca731ee54771cae66e78f8800995426431ec266f0c61330a573efaacc23 SHA512 2a98dcead63b8e5dc6db841416b16c12a84f557c8efa6272bc4dc125333de1e20ab83050d1ee441a77f78b47b2c52dbc7d29810ce562218129eff29a5c79daca
DIST openjdk-corba-8.222_p10.tar.bz2 1033549 BLAKE2B c75f100dc22535068588afe0460618005c46542cbe078e4e35ad80741d61012422eb21826a6ddcfc3b59fdde3bc7e6107a57cfc654114255b1d880273f54a762 SHA512 377847ae044d1e4515c6c7afaf965e037e6688ab010a24d436a5b31c251f2c09a8e622863d533b8b71625284bb5db93f114ba12ec05c731f0dc75d9dce70ec17
DIST openjdk-corba-8.232_p09.tar.bz2 1033216 BLAKE2B ed6416fd49aa6d00804d90a40a7a3435828dc92087695eebf3426c49e5ccbd2f1a2cf63ee879a9e9da82c8ad050d38618e384defc185d44279025e5cf4326ae9 SHA512 97401d01727090f29e90735095634149a59093374c19f0611237de105ff1c87d7f0712efd6627cae57d6415f336c5750a7777abd1b30068ec57f88f78e23fbbc
+DIST openjdk-corba-8.242.tar.bz2 1033721 BLAKE2B 5e0cee4d5b8faa0e940ed096f807ef231ce7c10b180ac89d5faf9ae276bab1044ca1ae6e826490e9d66f17ebd55026c17e7675a62dd4bf633cecfa3390944f97 SHA512 cf2cefcb590b7a1c637b709ce9f59c56a5354f90a3095726c3168962f4808ccb27a82909234343f510ad90dda56b83c934fa9ccb788ddf0f66e60c65b06d8e84
DIST openjdk-hotspot-8.222_p10.tar.bz2 7937298 BLAKE2B 42a74946b0ff88f1d910751af7efbe86aefc92b9039a4629445ba08255e4a9159a592e778acb8dce557b58324ce023360d9ed892568486a11336e8a09f8e6664 SHA512 20395d55201f072fcb5a7674ee1a2e3fb7a922e03ed4630645d4f22a5ec94c945978f7dfa6d06c28d0f8e9e4025f50986e8eba573fd44bc675ff7978e25723b3
DIST openjdk-hotspot-8.232_p09.tar.bz2 7951090 BLAKE2B 58f79b5612ae003fb3b7d89c4ce6243bf4a188c0d43ee60f56e77e3fc62b265571bbed7129aecb46c4c5f714f839f685fe2346bf239b8738c02afaeb129b3894 SHA512 26b0e5948dfa769c7f7974899d95ee372d836aab094ac13e12c904844ff414b6ac27ff1baa7f905b6c6bd4f3b4c3aad6952bcc08f85c9815b07375379d2100a5
+DIST openjdk-hotspot-8.242.tar.bz2 7953409 BLAKE2B 84ddc5bc00bca06c821219189ef19cd88cf0c5e9e43301b0fc654e1a31c68af0d7cab32d5ffedeb10b5593c3e8a846fc308076ffdc3292e0622a504650dfad56 SHA512 c67c7dd81e37b7e5ed43b0a720240ae55ebf7c31e58ebc1fc20cebb1bbecc91cda575a508ebe907d6ad21bad149596bcd913a24108c50fe2c26767910b5fe570
DIST openjdk-jaxp-8.222_p10.tar.bz2 2735189 BLAKE2B c4ab593edfc914e30bebcfbf0d5c68b64711005a2a027f165eba8b1583e673d74d0cbec582e6d1d65de06ffcf189dbdb66f2b1eb224f127a1908cd6c154c418c SHA512 e45facbaabb803191d86b477f88eb8d8960ee224bc5d6bd4fc19688e097c9d5aafc00597ff38bdaae5403ff330c3188867bc94cd3fb7bf6394b770f1fb0711b7
DIST openjdk-jaxp-8.232_p09.tar.bz2 2736383 BLAKE2B 13a62acfc577c66cfb975684794dda18a6e1b90a7a32167ea914f646592ee973e7d57c415cf23d5069748f03f2fedb0e14482ea070aca39dde31f01ff745e36c SHA512 725e9220da0f861cee61e81ee33ec7c1ca1edfded7c8bbe407c14d0e2e6a2c980ec1e28a578c825841f4622dab408e578412a39556642e2208f78c679b78f01e
+DIST openjdk-jaxp-8.242.tar.bz2 2735931 BLAKE2B b8106b903000ef0b920b3a1228eda06bfaeb073138a2d0a5193f8258f285d0f7044b93d2ef3c7e9c28bb9a39c964475f8dfcbe012d49d4c2b7a1a7c5d6fb4906 SHA512 2c2148aba457c7fe6f2cdba444ef730d7d6bb91604327bf6c465f549acb768a711e4482d79db1848f9495c84ac650f42c48989bee47537c1be065e3204115896
DIST openjdk-jaxws-8.222_p10.tar.bz2 2542293 BLAKE2B 832cf1b98c2cfcc55591d004c7c9f3055412a71632c671cb7343af74ff25645f68d27b298d6ae74a346c0be97470e79c0aca152e3ef702b9e88385ddbfa324f7 SHA512 560bfea42b6e7981e19d974e71382f8ad74729a2fb76974adeb592accaf58c2715ec096f3347ce56a7403c38db4dbca8892eced67eb851f16eb4cc43a1152f1c
DIST openjdk-jaxws-8.232_p09.tar.bz2 2542463 BLAKE2B 3424528dbe22904f0355806f201dd54f0a777a983c09fdc80834fc302f41f68c75df271b24c557208c5f945fd8d8882259d9dbff3fed0e98113ef980b982516d SHA512 85d9708e231ba18f37c9844b23a13c59a78daed0a92a42b8bc167059b1aa67c25e74e6a9d980050777d8f600fe07298e0ce15fdc9621f6a469ec0dd996157e4c
+DIST openjdk-jaxws-8.242.tar.bz2 2541712 BLAKE2B 020f47e5e9f9fed3d3dd506703ccc58bf04f696a093013e3e9eecf6e8a842ffe51d24188d204c9a84bc32157094e8ed2701beab8bfa2e6cad100ee093fa15107 SHA512 b0cce73a84887d35906a73006f36ef0913bcaf1fc27dc58e8873c95ee3b125b5bd977c23619f0a4f2489493776d4818d380ad1f126c62f325e2b155f6fc10dbf
DIST openjdk-jdk-8.222_p10.tar.bz2 47175873 BLAKE2B 47b330aa1d78607b42df650629bd88dbde7a8caff2bf6938d75a9d8ec9726b5d32cc5852bb0d877eedeecccee8e2673328697bf104b7380c275e85b9a57a1274 SHA512 d6229f4e86ee0e5798b60143454f39e8de79edc596bf89f6dc7aaf2ec73fe22631f974c2d43e832a255ed2e51e32877926874d1911c3561f9077ea28093bf057
DIST openjdk-jdk-8.232_p09.tar.bz2 47141486 BLAKE2B d0003de4b47cf397ad9c56f08f579752fa54c1e324b4382d92132af47439ad8052a7b8e80447736411e2d870da6eda15472c4ab34820fa49172f5d57974888f0 SHA512 dfa0f1e1eea73eb13adef212f8dd949f1b30d4d60f4977a595c50bdc5b5741a2d8a2550ca31a300aa632b4aa719d5c093bd36e23100b9ce7f446aebc2f9651ad
+DIST openjdk-jdk-8.242.tar.bz2 47256764 BLAKE2B b4fadc09640ce2267d461052bb8e42a7872022675fd8193b4f45ef23d69ab33b0ab95745d01e723a10bb4359055caa94d5113b3c77b97a8ff14191677c5c49c8 SHA512 3796599041134924bb673f06390c7c2fe9c76842ec799338dd02b183a3578f46c93095591f39f60a0c9e106659d6b0abba1ec1a647610b45a0f337f71afa28b8
DIST openjdk-langtools-8.222_p10.tar.bz2 2394871 BLAKE2B 376dd5d5cd86704b7cf6d02e8a117ce0d36f43316cc9000bee3f3f1fc7568e080c039e9adc40b6fb78720e2aa8ac921c638e20be1766e2252b29329bd17d28b8 SHA512 79a1db1c8afd5d6834ae5e565929eeb7567bc4ff3fa823789f6f170fb21e0df71d965595f4fb53efb6c5af1c1b4c7c8e2edc91e60178b57a8957935968f480c9
DIST openjdk-langtools-8.232_p09.tar.bz2 2397864 BLAKE2B 7351a50bf5d425bec9343787c463823f24115f62d1ec8cc7f98cd8c474708415a2b9f96ca5a8f8aee6350a0a0e208d3eee117bbb778b7f3a985e994dd97139a8 SHA512 f34035d1d892e686a11c1f88b84633cc2c68bb5924ea9b278eabd6dafc86e4b2695eeed854ee2c6c96082e16acf1ceb33b7f273e44a790fe8823564690335c43
+DIST openjdk-langtools-8.242.tar.bz2 2397745 BLAKE2B 94748fa5304217a6354b4de29e80f3642e935a1d6259d11dd23d007e5d7022643a8ffabdf5e12c7c7915a33e7edb263704eb60653dc2253e10aee6ca183fc84e SHA512 820e5828ae74c868f4c548e23ea1e7625e74d3b52fe951afe5a583910405658cd14d3d40b7b5f4bbb87d71439cafb77590ee2fe111fb9ad2f7c8f972d0380e53
DIST openjdk-nashorn-8.222_p10.tar.bz2 2859130 BLAKE2B d43b2e05dea1f97eff9e6d81ac0a6c8bfbe8cd444ff23df4b7d2fec29b678386893c169742a80fca6f0a785189796d2a6f29c10011a835cf5ac9e74001ae2b72 SHA512 453cefcd3f34cf6fca9bb14176145c9e4620e4188461b49049e5363cd62d87cc4f7703356369677dcd1e4862de0b5c16d1c505d66317944226a590af56026ac4
DIST openjdk-nashorn-8.232_p09.tar.bz2 2858464 BLAKE2B a75eb94f81c4d94bb5df6a0799ce447a5a382753a95579ff0dc20e171233a84737067edd120412b14ffc93e82290998a2e8c4de6407888e7bae1f4d226034c38 SHA512 6e5d12b75735b1c51048b0e90e7d977766ae4711bccf139714e19f773e2cf6532d36492168ef6ccf797f86cb11b22b0bbfbb53d9399265a58b08ece702e96a3b
+DIST openjdk-nashorn-8.242.tar.bz2 2856246 BLAKE2B 87343677e79b13baa0181b988f248f1dc1ccd265117e407e5be8d848813322a0e7cc53f5ea50bd7796b06b9c0b07320ca1b0ad8623f690c5bda3a4519656b6d6 SHA512 3f5fb2917fc65c85f007aea7842d0f1fef6c20050ef66a593d7ae25ced38a9eb5f1a4bb3c3d6b9757832a7d450d1cde06f98e383523707d93046e34ee70814c6
diff --git a/dev-java/openjdk/openjdk-8.242.ebuild b/dev-java/openjdk/openjdk-8.242.ebuild
new file mode 100644
index 00000000000..0689a368ceb
--- /dev/null
+++ b/dev-java/openjdk/openjdk-8.242.ebuild
@@ -0,0 +1,218 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit check-reqs eapi7-ver flag-o-matic java-pkg-2 java-vm-2 multiprocessing pax-utils toolchain-funcs
+
+MY_PV=$(ver_rs 1 'u' 2 '-' ${PV}-ga)
+
+BASE_URI="https://hg.${PN}.java.net/jdk8u/jdk8u"
+
+DESCRIPTION="Open source implementation of the Java programming language"
+HOMEPAGE="https://openjdk.java.net"
+SRC_URI="
+ ${BASE_URI}/archive/jdk${MY_PV}.tar.bz2 -> ${P}.tar.bz2
+ ${BASE_URI}/corba/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-corba-${PV}.tar.bz2
+ ${BASE_URI}/hotspot/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-hotspot-${PV}.tar.bz2
+ ${BASE_URI}/jaxp/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-jaxp-${PV}.tar.bz2
+ ${BASE_URI}/jaxws/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-jaxws-${PV}.tar.bz2
+ ${BASE_URI}/jdk/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-jdk-${PV}.tar.bz2
+ ${BASE_URI}/langtools/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-langtools-${PV}.tar.bz2
+ ${BASE_URI}/nashorn/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-nashorn-${PV}.tar.bz2
+"
+
+LICENSE="GPL-2"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="alsa debug cups doc examples headless-awt +jbootstrap nsplugin +pch selinux source webstart"
+
+COMMON_DEPEND="
+ media-libs/freetype:2=
+ media-libs/giflib:0/7
+ sys-libs/zlib
+"
+# Many libs are required to build, but not to run, make is possible to remove
+# by listing conditionally in RDEPEND unconditionally in DEPEND
+RDEPEND="
+ ${COMMON_DEPEND}
+ >=sys-apps/baselayout-java-0.1.0-r1
+ !headless-awt? (
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXrender
+ x11-libs/libXt
+ x11-libs/libXtst
+ )
+ alsa? ( media-libs/alsa-lib )
+ cups? ( net-print/cups )
+ selinux? ( sec-policy/selinux-java )
+"
+
+DEPEND="
+ ${COMMON_DEPEND}
+ app-arch/zip
+ media-libs/alsa-lib
+ net-print/cups
+ x11-base/xorg-proto
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/libXrender
+ x11-libs/libXt
+ x11-libs/libXtst
+ || (
+ dev-java/openjdk-bin:${SLOT}
+ dev-java/icedtea-bin:${SLOT}
+ dev-java/openjdk:${SLOT}
+ dev-java/icedtea:${SLOT}
+ )
+"
+
+PDEPEND="
+ webstart? ( >=dev-java/icedtea-web-1.6.1:0 )
+ nsplugin? ( >=dev-java/icedtea-web-1.6.1:0[nsplugin] )
+"
+
+S="${WORKDIR}/jdk${SLOT}u-jdk${MY_PV}"
+
+# The space required to build varies wildly depending on USE flags,
+# ranging from 2GB to 16GB. This function is certainly not exact but
+# should be close enough to be useful.
+openjdk_check_requirements() {
+ local M
+ M=2048
+ M=$(( $(usex debug 3 1) * $M ))
+ M=$(( $(usex jbootstrap 2 1) * $M ))
+ M=$(( $(usex doc 320 0) + $(usex source 128 0) + 192 + $M ))
+
+ CHECKREQS_DISK_BUILD=${M}M check-reqs_pkg_${EBUILD_PHASE}
+}
+
+pkg_pretend() {
+ openjdk_check_requirements
+ has ccache ${FEATURES} && die "FEATURES=ccache doesn't work with ${PN}"
+}
+
+pkg_setup() {
+ openjdk_check_requirements
+
+ JAVA_PKG_WANT_BUILD_VM="openjdk-${SLOT} openjdk-bin-${SLOT} icedtea-${SLOT} icedtea-bin-${SLOT}"
+ JAVA_PKG_WANT_SOURCE="${SLOT}"
+ JAVA_PKG_WANT_TARGET="${SLOT}"
+
+ java-vm-2_pkg_setup
+ java-pkg-2_pkg_setup
+}
+
+src_prepare() {
+ default
+ chmod +x configure || die
+ local repo
+ for repo in corba hotspot jdk jaxp jaxws langtools nashorn; do
+ ln -s ../"${repo}-jdk${MY_PV}" "${repo}" || die
+ done
+ # new warnings in new gcc https://bugs.gentoo.org/685426
+ sed -i '/^WARNINGS_ARE_ERRORS/ s/-Werror/-Wno-error/' \
+ hotspot/make/linux/makefiles/gcc.make || die
+}
+
+src_configure() {
+ # general build info found here:
+ #https://hg.openjdk.java.net/jdk8/jdk8/raw-file/tip/README-builds.html
+
+ # Work around stack alignment issue, bug #647954.
+ use x86 && append-flags -mincoming-stack-boundary=2
+
+ local myconf=(
+ --disable-ccache
+ --enable-unlimited-crypto
+ --with-boot-jdk="${JDK_HOME}"
+ --with-extra-cflags="${CFLAGS}"
+ --with-extra-cxxflags="${CXXFLAGS}"
+ --with-extra-ldflags="${LDFLAGS}"
+ --with-giflib=system
+ --with-jtreg=no
+ --with-jobs=1
+ --with-num-cores=1
+ --with-update-version="$(ver_cut 2)"
+ --with-build-number="b$(ver_cut 4)"
+ --with-milestone="fcs" # magic variable that means "release version"
+ --with-vendor-name="Gentoo"
+ --with-vendor-url="https://gentoo.org"
+ --with-vendor-bug-url="https://bugs.gentoo.org"
+ --with-vendor-vm-bug-url="https://bugs.openjdk.java.net"
+ --with-zlib=system
+ --with-native-debug-symbols=$(usex debug internal none)
+ $(usex headless-awt --disable-headful '')
+ )
+
+ # PaX breaks pch, bug #601016
+ if use pch && ! host-is-pax; then
+ myconf+=( --enable-precompiled-headers )
+ else
+ myconf+=( --disable-precompiled-headers )
+ fi
+
+ (
+ unset _JAVA_OPTIONS JAVA JAVA_TOOL_OPTIONS JAVAC XARGS
+ CFLAGS= CXXFLAGS= LDFLAGS= \
+ CONFIG_SITE=/dev/null \
+ econf "${myconf[@]}"
+ )
+}
+
+src_compile() {
+ local myemakeargs=(
+ JOBS=$(makeopts_jobs)
+ LOG=debug
+ $(usex doc docs '')
+ $(usex jbootstrap bootcycle-images images)
+ )
+ emake "${myemakeargs[@]}" -j1 #nowarn
+}
+
+src_install() {
+ local dest="/usr/$(get_libdir)/${PN}-${SLOT}"
+ local ddest="${ED%/}/${dest#/}"
+
+ cd "${S}"/build/*-release/images/j2sdk-image || die
+
+ if ! use alsa; then
+ rm -v jre/lib/$(get_system_arch)/libjsoundalsa.* || die
+ fi
+
+ # stupid build system does not remove that
+ if use headless-awt ; then
+ rm -fvr jre/lib/$(get_system_arch)/lib*{[jx]awt,splashscreen}* \
+ {,jre/}bin/policytool bin/appletviewer || die
+ fi
+
+ if ! use examples ; then
+ rm -vr demo/ || die
+ fi
+
+ if ! use source ; then
+ rm -v src.zip || die
+ fi
+
+ dodir "${dest}"
+ cp -pPR * "${ddest}" || die
+
+ dosym "${EPREFIX}"/etc/ssl/certs/java/cacerts "${dest}"/jre/lib/security/cacerts
+
+ java-vm_install-env "${FILESDIR}"/${PN}-${SLOT}.env.sh
+ java-vm_set-pax-markings "${ddest}"
+ java-vm_revdep-mask
+ java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
+
+ if use doc ; then
+ insinto /usr/share/doc/${PF}/html
+ doins -r "${S}"/build/*-release/docs/*
+ fi
+}
+
+pkg_postinst() {
+ java-vm-2_pkg_postinst
+}